precious (0.8.0+~0.2.1+20220602+~0.0.2-8) unstable; urgency=medium

  * relax build-dependencies for all crates
  * add patch 1001_md-5_not_md5 to use crate md-5 (not md5);
    build-depend on package for crate md-5 (not md5)
  * declare compliance with Debian Policy 4.7.4
  * update copyright info:
    + license patches same as main upstream license
  * add patch 1001_toml to accept newer minor versions of crate toml

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Apr 2026 23:04:14 +0200

precious (0.8.0+~0.2.1+20220602+~0.0.2-7) unstable; urgency=medium

  * drop patche 2001_serial_test 2001_toml,
    obsoleted by Debian packaging changes
  * extend patch 1001_itertools to cover itertools v0.14;
    relax build-dependency for crate itertools;
    closes: bug#1126153, thanks to Peter Michael Green
  * update copyright info:
    + avoid any .git* files when repackaging upstream source
    + update coverage
  * update git-buildpackage config:
    + stop superfluously strip .git files
  * update watch file:
    + auto-mangle upstream and Debian versions
    + use repack suffix +ds
  * stop superfluously set fields Rules-Requires-Root Priority
  * declare compliance with Debian Policy 4.7.3

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Jan 2026 10:53:06 +0100

precious (0.8.0+~0.2.1+20220602+~0.0.2-6) unstable; urgency=medium

  * relax build-dependencies
    for crates anyhow filetime globset ignore log pretty-assertions
    rayon regex serde tempfile
  * drop patches 2001_anyhow 2001_clap 2001_env_logger 2001_indexmap
    2001_pretty_assertions 2001_thiserror,
    obsoleted by Debian packaging changes
  * update DEP-3 patch headers
  * unfuzz patch
  * add patch 1001_fern to accept newer minor version of crate fern;
    relax build-dependencies for crate fern;
    closes: bug#1086067, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Nov 2025 14:02:47 +0100

precious (0.8.0+~0.2.1+20220602+~0.0.2-5) unstable; urgency=medium

  * tighten build-dependency for crate which
  * build-depend on libstd-rust-dev
  * update and unfuzz patches
  * update watch file: use file format 5

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Aug 2025 16:15:47 +0200

precious (0.8.0+~0.2.1+20220602+~0.0.2-4) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 11:31:17 +0200

precious (0.8.0+~0.2.1+20220602+~0.0.2-3) experimental; urgency=medium

  * relax to accept newer branches of crate which

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Aug 2025 10:25:42 +0200

precious (0.8.0+~0.2.1+20220602+~0.0.2-2) unstable; urgency=medium

  * bump build-dependency for crate thiserror;
    closes: bug#1101632, thanks to Lucas Nussbaum

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Mar 2025 08:29:17 +0200

precious (0.8.0+~0.2.1+20220602+~0.0.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + improve filename mangling
  * embed crates using uscan and git-buildpackage;
    drop custom embedding
  * update and unfuzz patches
  * add patches 2001_clean-path 2001_pushd
    to use embedded crates clean-path pushd
  * add patch 2003 to avoid benches
  * extend patch 2001_serial_test to cover embedded crate pushd
  * stop build-depend on package for crate once_cell
  * declare compliance with Debian Policy 4.7.2
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Mar 2025 21:12:45 +0100

precious (0.7.3-8) unstable; urgency=medium

  * tune build flags for hardening and speed

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Jan 2025 13:01:23 +0100

precious (0.7.3-7) unstable; urgency=medium

  * declare build-dependencies unconditionally,
    i.e. drop broken nocheck annotations;
    closes: bug#1091353, thanks to Helmut Grohne

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Jan 2025 01:53:54 +0100

precious (0.7.3-6) unstable; urgency=medium

  * drop patches 2001_env_logger 2001_thiserror,
    obsoleted by Debian packaging changes;
    tighten build-dependency for crate rust-env-logger

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Jan 2025 11:47:53 +0100

precious (0.7.3-5) unstable; urgency=medium

  * update and unfuzz patches
  * tighten build-dependencies for crates itertools which;
    relax build-dependencies for crates env_logger serial_test

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Oct 2024 12:36:48 +0200

precious (0.7.3-4) unstable; urgency=medium

  * add patch 1001_which to accept newer branches of crate which;
    relax build-dependency for crate which
    (see bug#1060874)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Oct 2024 19:52:52 +0200

precious (0.7.3-3) unstable; urgency=medium

  * update patch 1001 to cover newer branches;
    relax (build-)dependencies for crate itertools;
    closes: bug#1082551, thanks to Peter Michael Green
  * drop patch 2001_clap,
    obsoleted by Debian packaging changes

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Sep 2024 09:54:52 +0200

precious (0.7.3-2) unstable; urgency=medium

  * update patch 1002 with improved usage strings
  * tighten build rules to catch failure in loop
  * simplify stripping checksums of embedded crate
  * stop embed crate comfy-table;
    build-depend on package for crate comfy-table
    (not ansi-str console crossterm strum
    strum-macros unicode-width)
  * drop patches obsoleted by debian package changes
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Sep 2024 20:11:48 +0200

precious (0.7.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * embed crates comfy-tables pushd;
    build-depend on packages
    for crates ansi-str console crossterm
    strum strum_macros unicode-width
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jul 2024 14:03:21 +0200

precious (0.6.0-8) unstable; urgency=medium

  * fix custom build target get-vendorlibs;
    stop include stale Cargo.lock with source
  * generate manpages also for subcommands;
    build-depend on libstring-shellquote-perl
  * add patch 1002
    to add short usage descriptions for subcommand

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jul 2024 12:32:22 +0200

precious (0.6.0-7) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 01:58:54 +0200

precious (0.6.0-6) unstable; urgency=medium

  * update patches;
    tighten build-dependencies for most crates;
    relax build-dependency for crate itertools;
    closes: bug#1072261, thanks to Peter Green
  * set Static-Built-Using (not X-Cargo-Built-Using)
  * stop build-depend explicitly on cargo
  * declare compliance with Debian Policy 4.7.0
  * update copyright info: fix file path
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 May 2024 07:33:05 +0200

precious (0.6.0-5) unstable; urgency=medium

  * update patch 2001_indexmap to relax dependency;
    really closes: bug#1063685, thanks (again) to Peter Michael

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Feb 2024 23:04:24 +0100

precious (0.6.0-4) unstable; urgency=medium

  * relax build-dependencies for crate indexmap;
    closes: bug#1063685, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Feb 2024 18:46:17 +0100

precious (0.6.0-3) unstable; urgency=medium

  * update patch 2001_toml;
    relax build-dependency for crate toml;
    closes: bug#1061948, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Jan 2024 15:43:30 +0100

precious (0.6.0-2) unstable; urgency=medium

  * drop patches 2001_anyhow 2001_rayon 2001_serde,
    obsoleted by Debian package changes
  * update patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Dec 2023 21:56:31 +0100

precious (0.6.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Nov 2023 01:14:51 +0100

precious (0.5.2-1) unstable; urgency=medium

  * drop patch 2001_clap,
    obsoleted by Debian package changes
  * update patches
  * add TODO item about command "precious config list"

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Oct 2023 21:15:55 +0200

precious (0.5.1+20230704-7) unstable; urgency=medium

  * drop patch 2001_regex, obsoleted by Debian package changes

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Oct 2023 21:18:42 +0200

precious (0.5.1+20230704-6) unstable; urgency=medium

  * drop patch 2001_toml,
    obsoleted by Debian package changes;
    update build-dependency for crate toml
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Sep 2023 01:12:52 +0200

precious (0.5.1+20230704-5) unstable; urgency=medium

  * update dh-cargo fork;
    closes: bug#1046328, thanks to Lucas Nussbaum
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Aug 2023 09:32:49 +0200

precious (0.5.1+20230704-4) unstable; urgency=medium

  * update and split patches;
    update build-dependencies for crate test-case
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Aug 2023 21:07:48 +0200

precious (0.5.1+20230704-3) unstable; urgency=medium

  * update patch 1001;
    tighten build-dependency on package for crate env_logger

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Aug 2023 20:55:11 +0200

precious (0.5.1+20230704-2) unstable; urgency=medium

  * update dh-cargo fork
  * update copyright info: update file paths
  * reduce patch 1001 to not affect crate serial-test;
    update build-dependency for crate serial-test;
    closes: bug#1043174, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Aug 2023 02:35:20 +0200

precious (0.5.1+20230704-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    + update to depend on crate clap v4;
      closes: bug#1040878, thanks to Peter Green

  [ Jonas Smedegaard ]
  * clean generated manpage after build
  * update and unfuzz patches
  * update long description, based on upstream readme
  * update dependencies for crate clap

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Jul 2023 23:20:29 +0200

precious (0.5.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jun 2023 13:30:53 +0200

precious (0.5.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * build-depend on recent cargo;
    drop patch 2001
  * add patch 1001 to relax crate dependencies
  * declare compliance with Debian Policy 4.6.2
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Feb 2023 16:25:15 +0100

precious (0.4.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patch 2001

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Dec 2022 13:55:51 +0100

precious (0.4.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patches 2001_clap 2001_regex, obsoleted by Debian package updates
  * unfuzz patch 2002
  * render and install additional documentation
  * build-depend on packages for crates env-logger filetime pathdiff;
    tighten build-dependencies for crates
    anyhow globset indexmap log once-cell pretty-assertions rayon regex
    serde serial-test tempfile thiserror toml
  * add patch 2001 to avoid cargo feature workspace-inheritance;
    add workaround to only clean build with patches are applied
  * update dh-cargo fork;
    build-depend on libstring-shellquote-perl

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Dec 2022 11:08:02 +0100

precious (0.3.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * add patch 2001_regex to relax dependency on crate regex
  * build-depend on
    librust-once-cell-1+default-dev librust-regex-1+default-dev

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 04 Oct 2022 17:00:58 +0200

precious (0.2.2-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update patches
  * build-depend on librust-clap-3+cargo-dev librust-clap-3+derive-dev
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Sep 2022 15:49:32 +0200

precious (0.2.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Sep 2022 15:14:36 +0200

precious (0.1.7-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * embed crate clean-path (not path-clean)
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Sep 2022 20:13:01 +0200

precious (0.1.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Sep 2022 14:26:48 +0200

precious (0.1.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update TODOs
  * drop patches obsoleted updated crates in Debian
  * replace patch 2001 to accept newer minor releases of clap
    (not downgrade to older major release);
    build-depend on librust-clap-3+default-dev
    (not librust-clap-2+default-dev)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Aug 2022 08:12:50 +0200

precious (0.1.3-6) unstable; urgency=medium

  * stop set CARGO_HOME CARGO_NET_OFFLINE: handled by dh-cargo
  * drop obsolete patches 1006 1007
  * update patches to simplify version declarations
  * tighten build-dependencies
  * declare compliance with Debian Policy 4.6.1
  * update TODOs
  * simplify rules, using embedded dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 May 2022 00:06:50 +0200

precious (0.1.3-5) unstable; urgency=medium

  * add patch 1008 to relax dependency on tempfile
  * generate cargo-checksum file during build
  * preserve Cargo.lock during build;
    build-depend test-only on
    librust-serial-test-0.5+default-dev
    librust-tempfile-3+default-dev
  * track VENDORLIBS in TODO

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Apr 2022 02:19:09 +0200

precious (0.1.3-4) unstable; urgency=medium

  * build-depend on librust-clap-2-dev
    (not librust-clap-dev);
    closes: bug#1008454, thanks to Lucas Nussbaum

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Mar 2022 03:23:46 +0200

precious (0.1.3-3) unstable; urgency=medium

  * fix build-depend on librust-which+default-dev
    (not librust-which+failure-dev);
    closes: bug#1008020, thanks to Peter Michael Green
  * fix clean generated documentation
  * add package fields Built-Using XB-X-Cargo-Built-Using

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Mar 2022 18:50:35 +0100

precious (0.1.3-2) unstable; urgency=medium

  * update copyright info:
    + fix reorder wildcard Files sections
    + fix Upstream-Name
  * fix update package relations:
    + tighten build-dependency on librust-indexmap+serde-dev
    + stop build-depend on librust-hashbrown-dev
    + stop build-conflict against librust-indexmap-1.3-dev
  * check testsuite
  * generate html and plaintext README from upstream markdown;
    build-depend on cmark-gfm
  * add patch 2002 to avoid privacy leak in documentation
  * update cargo-checksum file

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Feb 2022 10:57:46 +0100

precious (0.1.3-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patches 1001 1002 1003 adopted upstream
  * add patches 1001-1007 to relax dependencies for cargo;
    add patch 2001 to use clap 2.x (not 3.x);
    adjust build-dependencies;
    stop embed rust library indexmap
  * tighten lintian overrides
  * update TODOs
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Feb 2022 00:38:49 +0100

precious (0.1.2-1) experimental; urgency=low

  * initial packaging;
    closes: Bug#996762

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Oct 2021 12:37:34 +0200
